<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ComboBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.text.Font?>

<AnchorPane nodeOrientation="LEFT_TO_RIGHT" prefHeight="550.0" prefWidth="1200.0" stylesheets="@../../Stylesheets/bootstrap.css" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="seng302.GUI.Clinician.IncomingTabController">
    <children>
        <GridPane prefHeight="600.0" prefWidth="1200.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
            <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
            </columnConstraints>
            <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            </rowConstraints>
            <children>
                <GridPane>
                    <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                    </columnConstraints>
                    <rowConstraints>
                        <RowConstraints minHeight="10.0" percentHeight="8.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" percentHeight="8.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                    </rowConstraints>
                    <children>
                        <TableView fx:id="incomingRequestId" prefHeight="542.0" prefWidth="512.0" GridPane.rowIndex="2">
                            <columns>
                                <TableColumn fx:id="fromColumnId" prefWidth="75.0" text="From" />
                                <TableColumn fx:id="organColumnId" prefWidth="75.0" text="Organ" />
                                <TableColumn fx:id="msgStatusColumnId" prefWidth="75.0" text="Message Status" />
                            </columns>
                            <columnResizePolicy>
                                <TableView fx:constant="CONSTRAINED_RESIZE_POLICY" />
                            </columnResizePolicy>
                            <GridPane.margin>
                                <Insets bottom="3.0" left="3.0" right="3.0" top="3.0" />
                            </GridPane.margin>
                        </TableView>
                        <AnchorPane />
                        <GridPane GridPane.rowIndex="1">
                            <columnConstraints>
                                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="60.0" prefWidth="100.0" />
                                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="30.0" prefWidth="100.0" />
                                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="10.0" prefWidth="100.0" />
                            </columnConstraints>
                            <rowConstraints>
                                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                            </rowConstraints>
                            <children>
                                <Label fx:id="labelTitle" text="All Incoming Requests" GridPane.halignment="CENTER" GridPane.valignment="CENTER">
                                    <font>
                                        <Font name="System Bold" size="15.0" />
                                    </font>
                                </Label>
                                <ComboBox fx:id="comboFilter" onAction="#comboFilterClicked" prefWidth="150.0" GridPane.columnIndex="1" GridPane.halignment="CENTER" GridPane.hgrow="ALWAYS">
                                    <GridPane.margin>
                                        <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
                                    </GridPane.margin>
                                </ComboBox>
                                <Label onMouseClicked="#clearCombo" text="Clear" textFill="#0000EE" GridPane.columnIndex="2" />
                            </children>
                        </GridPane>
                    </children>
                </GridPane>
                <GridPane fx:id="detailsPaneId" prefWidth="487.0" visible="false" GridPane.columnIndex="1">
                    <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                    </columnConstraints>
                    <rowConstraints>
                        <RowConstraints minHeight="10.0" percentHeight="8.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" percentHeight="8.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" percentHeight="8.0" prefHeight="30.0" vgrow="SOMETIMES" />
                    </rowConstraints>
                    <children>
                        <Label alignment="CENTER" prefHeight="31.0" prefWidth="487.0" text="Details" GridPane.rowIndex="1">
                            <font>
                                <Font name="System Bold" size="15.0" />
                            </font>
                        </Label>
                        <GridPane GridPane.rowIndex="3">
                            <columnConstraints>
                                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                            </columnConstraints>
                            <rowConstraints>
                                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                            </rowConstraints>
                            <children>
                                <AnchorPane prefHeight="200.0" prefWidth="200.0">
                                    <children>
                                        <Button fx:id="interestedBtnId" layoutX="49.0" layoutY="11.0" mnemonicParsing="false" onAction="#clickInterestedBtn" text="Interested" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
                                 <padding>
                                    <Insets bottom="15.0" left="15.0" right="15.0" top="15.0" />
                                 </padding></Button>
                                    </children>
                                    <GridPane.margin>
                                        <Insets bottom="3.0" left="3.0" top="3.0" />
                                    </GridPane.margin>
                                </AnchorPane>
                                <AnchorPane prefHeight="200.0" prefWidth="200.0" GridPane.columnIndex="1">
                                    <children>
                                        <Button fx:id="notInterestedBtnId" layoutX="29.0" layoutY="5.0" mnemonicParsing="false" onAction="#clickNotInterestedBtn" text="Not Interested" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
                                 <padding>
                                    <Insets bottom="15.0" left="15.0" right="15.0" top="15.0" />
                                 </padding></Button>
                                    </children>
                                    <GridPane.margin>
                                        <Insets bottom="3.0" right="3.0" top="3.0" />
                                    </GridPane.margin>
                                </AnchorPane>
                            </children>
                        </GridPane>
                        <GridPane fx:id="detailPaneId" GridPane.rowIndex="2">
                            <columnConstraints>
                                <ColumnConstraints hgrow="SOMETIMES" maxWidth="208.0" minWidth="10.0" prefWidth="179.0" />
                                <ColumnConstraints hgrow="SOMETIMES" maxWidth="255.0" minWidth="10.0" prefWidth="246.0" />
                            </columnConstraints>
                            <rowConstraints>
                                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                            </rowConstraints>
                            <children>
                                <Label text="Organ:">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="Birth Gender: " GridPane.rowIndex="1">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="Age: " GridPane.rowIndex="2">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="Date of Death: " GridPane.rowIndex="3">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="Blood Type: " GridPane.rowIndex="4">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="BMI: " GridPane.rowIndex="5">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="Alchol Consumption: " GridPane.rowIndex="6">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="Smoker: " GridPane.rowIndex="7">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="Hospital (from): " GridPane.rowIndex="8">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label fx:id="OrganId" GridPane.columnIndex="1">
                                    <GridPane.margin>
                                        <Insets right="3.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label fx:id="birthGenderId" GridPane.columnIndex="1" GridPane.rowIndex="1">
                                    <GridPane.margin>
                                        <Insets right="3.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label fx:id="ageId" GridPane.columnIndex="1" GridPane.rowIndex="2">
                                    <GridPane.margin>
                                        <Insets right="3.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label fx:id="dodId" GridPane.columnIndex="1" GridPane.rowIndex="3">
                                    <GridPane.margin>
                                        <Insets right="3.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label fx:id="bloodId" GridPane.columnIndex="1" GridPane.rowIndex="4">
                                    <GridPane.margin>
                                        <Insets right="3.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label fx:id="bmiId" GridPane.columnIndex="1" GridPane.rowIndex="5">
                                    <GridPane.margin>
                                        <Insets right="3.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label fx:id="alcholId" GridPane.columnIndex="1" GridPane.rowIndex="6">
                                    <GridPane.margin>
                                        <Insets right="3.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label fx:id="smokerId" GridPane.columnIndex="1" GridPane.rowIndex="7">
                                    <GridPane.margin>
                                        <Insets right="3.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label fx:id="hospitalFromId" GridPane.columnIndex="1" GridPane.rowIndex="8">
                                    <GridPane.margin>
                                        <Insets right="3.0" />
                                    </GridPane.margin>
                                </Label>
                            </children>
                        </GridPane>
                    </children>
                </GridPane>
            </children>
        </GridPane>
    </children>
</AnchorPane>
